Posts

Showing posts with the label online cetified expert ethical hacker training

exploitable: The ‘exploitable’ GDB plugin

Online Ethical Hacking/CEH/CEHv10/CEEH (Certified Expert Ethical Hacker) Training  GDB ‘exploitable’ plugin The ‘exploitable’ plugin (exploitable/exploitable.py) ‘exploitable’ is a GDB extension that classifies Linux application bugs by severity. The extension inspects the state of a Linux application that has crashed and outputs a summary of how difficult it might be for an attacker to exploit the underlying software bug to gain control of the system. The extension can be used to prioritize bugs for software developers so that they can address the most severe ones first.
The extension implements a GDB command called ‘exploitable’. The command uses heuristics to describe the exploitability of the state of the application that is currently being debugged in GDB. The command is designed to be used on Linux platforms and versions of GDB that include the GDB Python API. Note that the command will not operate correctly on core file targets at this time.
WARNING: This is an engi…